/*
 * This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at http://mozilla.org/MPL/2.0/.
 */


var routes = [
    {
        path: '/home',
        templateUrl: './pages/home.html',
        name: 'home',
        options: {
            context: {
                numpad: [
                    "7",
                    "8",
                    "9",
                    "4",
                    "5",
                    "6",
                    "1",
                    "2",
                    "3",
                    "0",
                    ".",
                    "C"
                ]
            }
        },
        on: {
            pageAfterIn: function () {
                $(".numpad-button").each(function () {
                    //$(this).height(Math.min($("body").height() / 10, Math.max($(this).height(), $(this).width() / 1.3)));
                });
            }
        }
    },
    {
        path: '/login',
        url: './pages/login.html',
        name: 'login'
    },
    {
        path: '/updateprofile',
        templateUrl: './pages/updateprofile.html',
        name: 'updateprofile',
        on: {
            pageAfterIn: function () {
                function tryToLoadProfilePage() {
                    if (typeof loadProfilePage != "function") {
                        setTimeout(tryToLoadProfilePage, 500);
                    } else {
                        loadProfilePage();
                    }
                }
                tryToLoadProfilePage();
            }
        }
    },
    {
        path: '/settings',
        name: 'prefs',
        async: function (routeTo, routeFrom, resolve, reject) {
            var username = localStorage.getItem("username");
            if (username == null) {
                username = "Not logged in";
            }
            var serverurl = localStorage.getItem("serverurl");
            if (serverurl == null) {
                serverurl = "None";
            }
            resolve({
                templateUrl: './pages/settings.html'
            }, {
                context: {
                    settings: [{
                            setting: "userinfo",
                            title: '<i class="fa fa-user"></i> <span id="username">' + username + '</span>',
                            text: '',
                            onclick: ""
                        },
                        {
                            setting: "updateprofile",
                            title: "Update profile",
                            text: "Change the business name and information.",
                            onclick: "router.navigate('/updateprofile')"
                        },
                        {
                            setting: "logout",
                            title: "Sign out",
                            onclick: "router.navigate('/login')"
                        },
                        {
                            setting: "versions",
                            title: "Helping Helena Merchant v1.0.0",
                            text: "Copyright &copy; 2018-2019 Netsyms Technologies.  License: <span style=\"text-decoration: underline;\" onclick=\"openBrowser('https://source.netsyms.com/Netsyms/HelpingHelenaMerchant?pk_campaign=HelpingHelenaMerchantApp');\">Mozilla Public License 2.0</span>.",
                            onclick: ""
                        },
                        {
                            setting: "opensource",
                            title: "Open Source Information",
                            text: "",
                            onclick: "router.navigate('/credits')"
                        },
                        {
                            setting: "privacy",
                            title: "Privacy Policy",
                            text: "",
                            onclick: "openBrowser('" + SETTINGS["terms_of_service_url"] + "')"
                        }]
                }
            });
        }
    },
    {
        path: '/credits',
        url: './pages/credits.html',
        name: 'credits'
    }
];